<?require("kech/file_rem.php");
$t = time();
if($rem_time+(30*60) < $t){
//Удаление ссылок с фрейма
$d_fraim = mysql_query("SELECT * FROM tb_frameads WHERE $t > enddate and play = '0'");
if($d_fraim){
while ($df=mysql_fetch_array($d_fraim))
{

require_once("_ap.php");
 $link=$df["link"];
 $text=$df["text"];
 $wmid=$df["wmid"];
 $id=$df["id"];
 $del_fraim = "DELETE FROM tb_frameads WHERE id='$id'";
 mysql_query($del_fraim) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша реклама во фрейме:\n <b>Адрес сайта:</b> $link \n <b>Текст ссылки:</b> $text \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}
//Удаление статических ссылок
$d_stat = mysql_query("SELECT * FROM tb_statlinks WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_stat){
while ($ds=mysql_fetch_array($d_stat))
{

require_once("_ap.php");
 $link=$ds["url"];
 $text=$ds["description"];
 $numdays=$ds["numdays"];
 $wmid=$ds["wmid"];
 $id=$ds["id"];
 $del_stat = "DELETE FROM tb_statlinks WHERE id='$id'";
 mysql_query($del_stat) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша статическая ссылка: \n <b>Адрес сайта:</b> $link \n <b>Текст ссылки:</b> $text \n <b>Заказано дней:</b> $numdays \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление контекстных ссылок
$d_stat = mysql_query("SELECT * FROM tb_statlink WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_stat){
while ($ds=mysql_fetch_array($d_stat))
{

require_once("_ap.php");
 $link=$ds["url"];
 $text=$ds["description"];
 $numdays=$ds["numdays"];
 $wmid=$ds["wmid"];
 $id=$ds["id"];
 $del_stat = "DELETE FROM tb_statlink WHERE id='$id'";
 mysql_query($del_stat) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша статическая ссылка: \n <b>Адрес сайта:</b> $link \n <b>Заголовок ссылки:</b> $text \n <b>Заказано дней:</b> $numdays \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление баннеров
$d_banner =  mysql_query("SELECT * FROM tb_advban WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_banner){
while ($db=mysql_fetch_array($d_banner))
{

require_once("_ap.php");
 $urls=$db["urlsite"];
 $urlp=$db["urlpic"];
 $numdays=$db["numdays"];
 $wmid=$db["wmid"];
 $id=$db["id"];
 $del_banner = "DELETE FROM tb_advban WHERE id='$id'";
 mysql_query($del_banner) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваш баннер 468x60: \n <b>Адрес сайта:</b> $urls \n <b>Адрес баннера:</b> $urlp \n <b>Заказано дней:</b> $numdays \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление баннеров 200
$d_banner =  mysql_query("SELECT * FROM tb_advban200 WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_banner){
while ($db=mysql_fetch_array($d_banner))
{

require_once("_ap.php");
 $urls=$db["urlsite"];
 $urlp=$db["urlpic"];
 $numdays=$db["numdays"];
 $wmid=$db["wmid"];
 $id=$db["id"];
 $del_banner = "DELETE FROM tb_advban200 WHERE id='$id'";
 mysql_query($del_banner) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваш баннер 200x300: \n <b>Адрес сайта:</b> $urls \n <b>Адрес баннера:</b> $urlp \n <b>Заказано дней:</b> $numdays \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление баннеров 100
$d_banner100 =  mysql_query("SELECT * FROM tb_ban WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_banner100){
while ($db100=mysql_fetch_array($d_banner100))
{

require_once("_ap.php");
 $urls=$db100["urlsite"];
 $urlp=$db100["urlpic"];
 $numdays=$db100["numdays"];
 $wmid=$db100["wmid"];
 $id=$db100["id"];
 $del_ban100 = "DELETE FROM tb_ban WHERE id='$id'";
 mysql_query($del_ban100) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваш баннер 100x100: \n <b>Адрес сайта:</b> $urls \n <b>Адрес баннера:</b> $urlp \n <b>Заказано дней:</b> $numdays \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление текст. об.
$d_text =  mysql_query("SELECT * FROM tb_textads WHERE $t > enddate and play = '0'");
if($d_text){
while ($dt=mysql_fetch_array($d_text))
{


require_once("_ap.php");
 $link=$dt["url"];
 $text=$dt["text"];
 $wmid=$dt["wmid"];
 $id=$dt["id"];
 $del_text = "DELETE FROM tb_textads WHERE id='$id'";
 mysql_query($del_text) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша текстовая реклама: \n <b>Адрес сайта:</b> $link \n <b>Текст ссылки:</b> $text \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
}
}

//Удаление динамических ссылок
$d_ads =  mysql_query("SELECT * FROM tb_ads WHERE tipo='ads' AND plan<=members and play = '0'");
if($d_ads){
while ($da=mysql_fetch_array($d_ads))
{

 require_once("_ap.php");
 $plan=$da["plan"];
 $members=$da["members];
 $url=$da["url"];
 $description=$da["description"];
 $outside=$da["outside"];
 $wmid=$da["paypalemail"];
 $id=$da["id"];
 $del_ads = "DELETE FROM tb_ads WHERE id='$id'";
 mysql_query($del_ads) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша динамическая ссылка: \n  <b>Адрес сайта:</b> $url \n  <b>Текст ссылки:</b> $description \n\n завершила свой показ. \n\n <b>Заказано:</b> $plan \n  <b>Клики пользователей:</b> $members \n  <b>Клики гостей:</b> $outside \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php \n\n Благодарим Вас, что воспользовались нашими услугами! \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* -----------------";
 $response = $wmxi->X6(
   $receiverwmid,
   trim($msgsubj),
   trim(str_replace("\r", "", $msgtext))
 );
 $structure = $parser->Parse($response, DOC_ENCODING);
 $transformed = $parser->Reindex($structure, true);
}
}

//Удаление мини динамических ссылок
$d_ads1 =  mysql_query("SELECT * FROM tb_ads1 WHERE tipo='ads' AND plan<=members and play = '0'");
if($d_ads1){
while ($da1=mysql_fetch_array($d_ads1))
{

 require_once("_ap.php");
 $plan=$da1["plan"];
 $url=$da1["url"];
 $description=$da1["description"];
 $outside=$da1["outside"];
 $wmid=$da1["paypalemail"];
 $id=$da1["id"];
 $del_ads1 = "DELETE FROM tb_ads1 WHERE id='$id'";
 mysql_query($del_ads1) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша мини динамическая ссылка: \n  <b>Адрес сайта:</b> $url \n  <b>Текст ссылки:</b> $description \n\n завершила свой показ. \n\n <b>Заказано:</b> $plan \n  <b>Клики пользователей:</b> $plan \n  <b>Клики гостей:</b> $outside \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php \n\n Благодарим Вас, что воспользовались нашими услугами! \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* -----------------";
 $response = $wmxi->X6(
   $receiverwmid,
   trim($msgsubj),
   trim(str_replace("\r", "", $msgtext))
 );
 $structure = $parser->Parse($response, DOC_ENCODING);
 $transformed = $parser->Reindex($structure, true);
}
}

//Удаление псевдо ссылок
$d_psevdo =  mysql_query("SELECT * FROM `tb_psevdolinks` WHERE CONVERT($t-begindate,UNSIGNED)/86400 > numdays and play = '0'");
if($d_psevdo){
while ($dp=mysql_fetch_array($d_psevdo))
{

 require_once("_ap.php");
 $plan=$dp["numdays"];
 $url=$dp["url"];
 $description=$dp["description"];
 $outside=$dp["outside"];
 $members=$dp["members"];
 $wmid=$dp["wmid"];
 $id=$dp["id"];
 $del_psevdo = "DELETE FROM tb_psevdolinks WHERE id='$id'";
 mysql_query($del_psevdo) or die(mysql_error()); $wel++;
 $receiverwmid=$wmid;
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваша псевдодинамическая ссылка: \n  <b>Адрес сайта:</b> $url \n  <b>Текст ссылки:</b> $description \n\n завершила свой показ. \n\n <b>Заказано:</b> $plan дней \n  <b>Клики пользователей:</b> $members \n  <b>Клики гостей:</b> $outside \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n Благодарим Вас, что воспользовались нашими услугами! \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* -----------------";
 $response = $wmxi->X6(
   $receiverwmid,
   trim($msgsubj),
   trim(str_replace("\r", "", $msgtext))
 );
 $structure = $parser->Parse($response, DOC_ENCODING);
 $transformed = $parser->Reindex($structure, true);
}
}

mysql_query("DELETE FROM `tb_ads` WHERE tipo='visit' AND visitime<UNIX_TIMESTAMP()-24*60*60 ");$wel++;
mysql_query("DELETE FROM `tb_ads1` WHERE tipo='visit' AND visitime<UNIX_TIMESTAMP()-24*60*60 ");$wel++;

$remov = "<?
\$rem_time = {$t};
?>";

$fremov = @fopen("kech/file_rem.php","w+");
@fwrite($fremov,$remov);
@fclose($fremov);
}
?>